import request from '@/utils/request'

// 确认PUMPCLEANING完成确认清单
export function handleConfirmPumpCleaning(data) {
  return request({
    url: '/pssr/pumpCleaning/confirmPumpCleaning',
    method: 'put',
    data: data
  })
}

// 驳回PUMPCLEANING完成确认清单
export function handleTurnDownPumpCleaning(data) {
  return request({
    url: '/pssr/pumpCleaning/turnDownPumpCleaning',
    method: 'put',
    data: data
  })
}


// 查询机泵过滤器清理工作清单列表
export function listPumpCleaning(query) {
  return request({
    url: '/pssr/pumpCleaning/list',
    method: 'get',
    params: query
  })
}

// 查询机泵过滤器清理工作清单详细
export function getPumpCleaning(id) {
  return request({
    url: '/pssr/pumpCleaning/' + id,
    method: 'get'
  })
}

// 新增机泵过滤器清理工作清单
export function addPumpCleaning(data) {
  return request({
    url: '/pssr/pumpCleaning',
    method: 'post',
    data: data
  })
}

// 修改机泵过滤器清理工作清单
export function updatePumpCleaning(data) {
  return request({
    url: '/pssr/pumpCleaning',
    method: 'put',
    data: data
  })
}

//
export function updatePumpCleaningBatch(data) {
  return request({
    url: '/pssr/pumpCleaning/editBatch',
    method: 'put',
    data: data
  })
}


// 删除机泵过滤器清理工作清单
export function delPumpCleaning(id) {
  return request({
    url: '/pssr/pumpCleaning/' + id,
    method: 'delete'
  })
}

// 导出机泵过滤器清理工作清单
export function exportPumpCleaning(query) {
  return request({
    url: '/pssr/pumpCleaning/export',
    method: 'get',
    params: query
  })
}
